Subject: Re: ncurses + Cygwin: configure script
From: Thomas Dickey <[email-masked]>
To: Neil Zanella <[email-masked]>
Cc: ncurses <[email-masked]>, Cygwin Mailing List <[email-masked]>
Date: Sun, 5 Nov 2000 19:18:59 -0500

On Sun, Nov 05, 2000 at 08:32:21PM -0330, Neil Zanella wrote:
> 
> Hello,
> 
> Recently I tried to build ncurses 5.2 under Cygwin 1.1.4 but the configure

I've only tested with b20.1

> script froze at: checking for manpage tbl... no

perhaps it was making a directory or some file - I don't see what offhand.

But I've not seen it freeze.  The only time the configure scripts I'm working
seem to do that is for things like checking if the platform supports pipes,
etc., which involve multiple processes in the test.

> when I issued CTRL-C the script continued with:
> checking if you want to build with function extensions... yes
> 
> Interestingly the second time I ran the script this did not happen,
> presumably because of something the configure script did on the
> previous run. I am not sure about what exactly would have caused the
> configure script to freeze and I guess that to really find out I would
> have to reinstall Cygwin from scratch.

or see if something was created.  I've not tracked it down, but I notice
that some of the configure tests touch the lib directory - presumably
creating a file there.
 
> Next thing the script froze at: checking for size of bool...
> Once again I hit CTRL-C and on the next rerun it did not freeze here.
> (size of bool was unsigned char)
> 
> After the configure script reported the configuration summary I ran make:
> 
> ** edit: HAVE_TCGETATTR
> ** edit: HAVE_TERMIOS_H
> ** edit: HAVE_TERMIO_H
> ** edit: BROKEN_LINKER
> 
> Other than that the make part went fine. Then when it came to the
> make install part this is what heppened:
> 
> -----------------------------------------------------------------------------
> /bin/sh ./run_tic.sh
> ** Building terminfo database, please wait...
> ** adjusting tabset paths
> Running tic to install /usr/local/share/terminfo ...
> 
>         You may see messages regarding unknown capabilities, e.g., AX.
>         These are extended terminal capabilities which can be compiled
>         using
>                 tic -x
>         Read the INSTALL document before doing this - it can cause
>         problems for older ncurses applications.
> 
> "/tmp/14607", line 395, col 3, terminal 'ecma+color': unknown capability
> 'AX'
> "/tmp/14607", line 3193, col 40, terminal 'screen': unknown capability
> 'G0'
> "/tmp/14607", line 3212, col 59, terminal 'screen': unknown capability
> 'E0'
> "/tmp/14607", line 3213, col 12, terminal 'screen': unknown capability
> 'S0'
> "/tmp/14607", line 3165, terminal 'eterm': name multiply defined.
> "/tmp/14607", line 12958, terminal 'NCR260VT300WPP': can't link
> N/NCR260VT300WPP
>  to n/ncr260vt300wpp
> ? tic could not build /usr/local/share/terminfo

yes - that's a problem I know about.  (it builds the rest of the database ok,
but since cygwin's a caseless filesystem it cannot handle updates to a few of
the entries)

> make[1]: *** [install.data] Error 1
> make[1]: Leaving directory `/ncurses-5.2/misc'
> make: *** [install] Error 
> ----------------------------------------------------------------------------
> 
> Then when compiling a classical hello world program I got:
> 
> tulip $ gcc -I/usr/local/include -L/usr/local/lib -lncurses curseshello.c
  tulip $ gcc -I/usr/local/include -L/usr/local/lib curseshello.c -lncurses 

order of params makes a difference.

-- 
Thomas E. Dickey <[email-masked]>
http://dickey.his.com
ftp://dickey.his.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]